---
title: MediaRecorder.videoBitsPerSecond
slug: Web/API/MediaRecorder/videoBitsPerSecond
---
<p>{{SeeCompatTable}}{{APIRef("MediaStream Recording")}}</p>

<p><span class="seoSummary">The <strong><code>videoBitsPerSecond</code></strong> read-only property of the {{domxref("MediaRecorder")}} interface returns the video encoding bit rate in use.</span> This may differ from the bit rate specified in the constructor, if it was provided.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var videoBitsPerSecond = MediaRecorder.videoBitsPerSecond</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Number")}} (unsigned long).</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Recording','#dom-mediarecorder-videobitspersecond','videoBitsPerSecond')}}</td>
   <td>{{Spec2('MediaStream Recording')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaRecorder.videoBitsPerSecond")}}</p>
</div>
